-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
--
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local work_record_table = cjson.json_object_new_array()
for _, items in ipairs(ProcessingFlow[1].Destination.Items) do
    local items_table = cjson.json_object_new_object()
    items_table.Id = items.Id
    items_table.User = items.UserName
    items_table.Address = items.IPAddress
    items_table.Time = items.Time
    items_table.Details = items.Content

    work_record_table[#work_record_table + 1] = items_table
end

return work_record_table